table.table-timeline {
    width: 100% !important;
    margin-top: 0px !important;
}

.table-timeline>tbody {
    max-width: 1080px;
    padding: 0 20px;
    position: relative;
    display: block;
}

@media (max-width: 767.98px) {
    .table-timeline>tbody {
        padding: 0 5px;
    }

    .table-timeline>tbody tr:first-child {
        left: 40px !important;
    }
}

.table-timeline>tbody tr:first-child {
    position: absolute;
    width: 4px;
    background: #8D99AE;
    left: 50%;
    top: 20px;
    bottom: 0px;
    transform: translateX(-50%);
}

@media (max-width: 767.98px) {
    .table-timeline>tbody tr:first-child {
        display: none;
    }

    .table-timeline>tbody tr.odd:nth-child(2) {
        margin: 0 0 3px 0 !important;
    }

    .table-timeline>tbody tr.odd,
    .table-timeline>tbody tr.even {
        margin: 15px 0 3px 0 !important;
    }

    .table-timeline>tbody tr.odd>td,
    .table-timeline>tbody tr.even>td {
        width: 100% !important;
    }
}

.table-timeline>tbody tr.odd {
    justify-content: flex-start;
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x));
}

.table-timeline>tbody tr.even {
    justify-content: flex-end;
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x));
}

.table-timeline>tbody tr.odd .arrow-container {
    display: flex !important;
    flex-direction: row-reverse !important;
}

.table-timeline>tbody tr.even .arrow-container {
    display: flex !important;
}

.table-timeline>tbody tr.even .arrow-container .arrow-head:after {
    border-left: 20px solid;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    display: inline-block;
    content: '';
    position: absolute;
    right: -20px;
    top: 0;
}

.table-timeline>tbody tr.odd .arrow-container .arrow-head:before {
    border-right: 20px solid;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    display: inline-block;
    content: '';
    position: absolute;
    left: -20px;
    top: 0;
}

.table-timeline>tbody tr:not(:first-child, :nth-child(2)) {
    margin-top: -50px;
}

.table-timeline>tbody tr.odd>td,
.table-timeline>tbody tr.even>td {
    width: calc(50% - 40px);
    position: relative;
}

.table-timeline>tbody tr.odd>td::before,
.table-timeline>tbody tr.even>td::before {
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    background: #EDF2F4;
    top: 28px;
    z-index: -1;
    transform: rotate(45deg);
}

@media (max-width: 767.98px) {
    .table-timeline>tbody tr.odd>td::before {
        left: -7px;
    }
}

.table-timeline>tbody tr.odd>td::before {
    right: -7px;
}

.table-timeline>tbody tr.even>td::before {
    left: -7px;
}

@media (max-width: 767.98px) {
    .table-timeline>tbody tr.even>td .icon {
        display: none;
    }

    .table-timeline>tbody tr.odd>td .icon {
        display: none;
    }
}

.table-timeline>tbody tr.odd>td .icon {
    top: 15px;
    right: -46px;
}

.table-timeline>tbody tr.even>td .icon.icon-check {
    left: -52px;
}

.table-timeline>tbody tr.odd>td .icon.icon-check {
    right: -52px;
}

.table-timeline>tbody tr.even>td .icon {
    top: 15px;
    left: -46px;
}

.table-timeline>tbody tr.odd>td .icon,
.table-timeline>tbody tr.even>td .icon,
.center-line .scroll-icon {
    position: absolute;
    background: #fff;
    text-align: center;
    border-radius: 50%;
    color: #4d535e;
    font-size: 17px;
}

.dataTables_scrollBody::-webkit-scrollbar {
    width: 10px;
    height: 10px;
    background-color: #ddd;
}

.dataTables_scrollBody:hover::-webkit-scrollbar-thumb,
.dataTables_scrollBody::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: var(--app-header-color);
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 0;
    padding-left: 10px;
}

table.th-text-uppercase th {
    text-transform: uppercase !important;
}

table.th-fw-bold th {
    font-weight: 600 !important;
}

table.thead-none thead {
    display: none;
}

table.tbody-row tbody {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x));
}

table.tbody-row tbody>* {
    flex-shrink: 0;
    width: 100%;
    max-width: 100%;
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
    margin-top: var(--bs-gutter-y);
}

table.tbody-row tr:first-child {
    padding-left: calc(var(--bs-gutter-x) * 0.5);
}

table.tbody-row tr:last-child {
    padding-right: calc(var(--bs-gutter-x) * .5);
}

table.td-card.td-card-bordered td {
    box-shadow: none;
    border: 1px solid var(--kt-card-border-color);
}

table.td-card td {
    border: 0;
    box-shadow: var(--kt-card-box-shadow);
    background-color: var(--kt-card-bg);
    --bs-card-spacer-y: 1rem;
    --bs-card-spacer-x: 1rem;
    --bs-card-title-spacer-y: 0.5rem;
    --bs-card-border-width: 1px;
    --bs-card-border-color: #eff2f5;
    --bs-card-border-radius: 0.625rem;
    --bs-card-box-shadow: 0px 0px 20px 0px rgba(76, 87, 125, 0.02);
    --bs-card-inner-border-radius: calc(0.625rem - 1px);
    --bs-card-cap-padding-y: 0.5rem;
    --bs-card-cap-padding-x: 1rem;
    --bs-card-cap-bg: transparent;
    --bs-card-bg: #ffffff;
    --bs-card-img-overlay-padding: 1rem;
    --bs-card-group-margin: 0.75rem;
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    height: var(--bs-card-height);
    word-wrap: break-word;
    background-color: var(--bs-card-bg);
    background-clip: border-box;
    border-radius: var(--bs-card-border-radius);
}

table.tr-mb-3 tr {
    margin-bottom: 0.75rem !important;
}

table.td-d-block td {
    display: block !important;
}

table.td-h-100 td {
    height: 100% !important;
}

table.td-p-0 td {
    padding: 0px !important;
}

@media (min-width: 768px) {
    table.tr-col-md-3 tr {
        flex: 0 0 auto;
        width: 25%;
    }

    table.tr-col-md-4 tr {
        flex: 0 0 auto;
        width: 33.33333333%;
    }
}

.table td:first-child,
.table th:first-child,
.table tr:first-child {
    padding-left: .75rem;
}

.table td:last-child,
.table th:last-child,
.table tr:last-child {
    padding-right: .75rem;
}

.form-check-custom.form-check-solid .form-check-input.form-checkbox-input {
    background-color: $white;
    border: 1px solid $color-red;
}

.form-check-custom.form-check-solid .form-check-input.form-checkbox-input:checked {
    background-color: $color-red;
    border-color: $color-red;
}

.table-scrollbar-x {
    position: fixed;
    bottom: 0px;
    width: 100%;
    width: -webkit-fill-available;
    z-index: 4;
    overflow-x: scroll;
    overflow-y: hidden;
}